dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DviFileSetRule Class Reference

An event which requests that a rule be set. More...

`#include <DviFile.h>`

Inheritance diagram for DviFileSetRule:

## Public Member Functions
| DviFileSetRule (unsigned char opcode, DviFile *dptr, int h, int w)
void | debug () const
| Writes a representation of this event on cerr. More...
Public Member Functions inherited from DviFileEvent
eventTypes | type () const
| Gets the type of this event. More...
const unsigned char | opcode () const
| Gets the underlying opcode which produced this event. More...
void | release ()
| Release this event. More...

## Public Attributes
const int | h
| The height of the rule to be set at this position. More...
const int | w
| The width of the rule to be set at this position. More...

## Additional Inherited Members
Public Types inherited from DviFileEvent
enum | eventTypes { setchar, setrule, fontchange, special, page, preamble, postamble }
Static Public Member Functions inherited from DviFileEvent
static verbosities | verbosity (const verbosities level)
| Sets the verbosity for DviFileEvent and its subclasses. More...
Protected Member Functions inherited from DviFileEvent
| DviFileEvent (unsigned char opcode, eventTypes t, DviFile *dp=0)
| Creates a new event. More...
Static Protected Attributes inherited from DviFileEvent
static verbosities | verbosity_ = normal

## Detailed Description

An event which requests that a rule be set.

## Constructor & Destructor Documentation

DviFileSetRule::DviFileSetRule | ( | unsigned char | opcode,
|  | DviFile * | dptr,
|  | int | h,
|  | int | w
| ) |  |
| inline

## Member Function Documentation

void DviFileSetRule::debug | ( | ) |  | const
| virtual

Writes a representation of this event on cerr.

Reimplemented from DviFileEvent.

References h, and w.

## Member Data Documentation

const int DviFileSetRule::h

The height of the rule to be set at this position.

Given in pixels/device units.

Referenced by debug(), and main().

const int DviFileSetRule::w

The width of the rule to be set at this position.

Given in pixels/device units.

Referenced by debug(), and main().

The documentation for this class was generated from the following files:

- DviFile.h
- DviFile.cc